<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/message_item"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/reuse_listview_item_style"
    android:paddingRight="16dp"
    android:paddingBottom="16dp">

    <com.gh.gamecenter.common.view.AvatarBorderView
        android:id="@+id/message_user_icon"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="7dp"
        android:layout_marginLeft="7dp"
        app:avatar_width="36dp"
        app:border_width="0dp"
        tools:layout_width="54dp"
        tools:layout_height="54dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <View
        android:id="@+id/message_unread"
        android:layout_width="8dp"
        android:layout_height="8dp"
        android:layout_marginTop="16dp"
        android:layout_marginLeft="44dp"
        android:background="@drawable/shape_message_unread_hint"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/message_user_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:layout_marginLeft="3dp"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/text_title"
        android:textSize="14sp"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constrainedWidth="true"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintLeft_toRightOf="@id/message_user_icon"
        app:layout_constraintRight_toLeftOf="@+id/message_user_more"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="欢喜哥欢喜哥" />

    <TextView
        android:id="@+id/message_user_more"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="8dp"
        android:includeFontPadding="false"
        android:textColor="@color/theme_font"
        android:textSize="14sp"
        android:visibility="visible"
        app:layout_constraintLeft_toRightOf="@id/message_user_name"
        app:layout_constraintTop_toTopOf="@id/message_user_name"
        app:layout_constraintRight_toLeftOf="@+id/message_command"
        tools:text="等2人" />

    <TextView
        android:id="@+id/message_command"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="8dp"
        android:includeFontPadding="false"
        android:textColor="@color/text_title"
        android:textSize="14sp"
        app:layout_constraintLeft_toRightOf="@id/message_user_more"
        app:layout_constraintTop_toTopOf="@id/message_user_name"
        app:layout_constraintRight_toRightOf="parent"
        tools:text="赞同了你的回答" />

    <TextView
        android:id="@+id/message_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="4dp"
        android:includeFontPadding="false"
        android:textColor="@color/text_subtitleDesc"
        android:textSize="10sp"
        app:layout_constraintLeft_toLeftOf="@id/message_user_name"
        app:layout_constraintTop_toBottomOf="@id/message_user_name"
        tools:text="一个小时前" />

    <TextView
        android:id="@+id/message_content"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:maxLines="3"
        android:ellipsize="end"
        android:textColor="@color/text_subtitle"
        android:textSize="14sp"
        app:layout_constraintLeft_toLeftOf="@id/message_user_name"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/message_time"
        tools:text="这是一个神奇的饿回答这是一个神奇的饿回答这是一个神奇的饿回答这是一个神奇的饿回答这是一个神奇的饿回答这是一个神奇的饿回答这是一个神奇的饿回答这是一个神奇的饿回答这是一个神奇的饿回答" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/message_original"
        android:layout_width="0dp"
        android:layout_height="52dp"
        android:layout_marginTop="10dp"
        android:background="@drawable/bg_shape_space_radius_8"
        app:layout_constraintLeft_toLeftOf="@id/message_user_name"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/message_content">

        <com.facebook.drawee.view.SimpleDraweeView
            android:id="@+id/message_original_icon"
            android:layout_width="36dp"
            android:layout_height="36dp"
            android:layout_marginRight="8dp"
            style="@style/frescoStyle"
            app:fadeDuration="500"
            app:roundedCornerRadius="4dp"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintRight_toRightOf="parent" />

        <TextView
            android:id="@+id/message_original_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="12dp"
            android:layout_marginRight="12dp"
            android:ellipsize="end"
            android:maxLines="2"
            android:textColor="@color/text_subtitleDesc"
            android:textSize="12sp"
            tools:text="我是内容我是内容我是内容我是内容我是内容我是内容我是内容我是内容我是内容"
            app:layout_constrainedWidth="true"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toLeftOf="@+id/message_original_icon" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>
